*****************
Post Installation
*****************

Here are a few configuration options that are commonly changed once the installation is completed.
Please note that these changes are optional.


Display called name on internal calls
=====================================

.. note:: Configured by default if you checked the *Apply default onfiguration for France* at the wizard time
          (see :ref:`Wizard configuration step <wizard_configuration>`).

When you call internally another phone of the system you would like your phone to display the name
of the called person (instead of the dialed number only).
To achieve this you must change the following SIP options:

* :menuselection:`Services --> IPBX --> General settings --> SIP Protocol --> Default`:

    * Trust the Remote-Party-ID: yes,
    * Send the Remote-Party-ID: select ``PAI``


Incoming caller number display
==============================

The caller ID number on incoming calls depends on what is sent by your provider.
It can be modified via the :ref:`caller_number_normalization`.


Time and date
=============

* Configure your locale and default time zone device template => :menuselection:`Configuration --> Provisioning --> Template Device`
  by editing the default template
* Configure the timezone in => :menuselection:`Services --> IPBX --> General settings --> Advanced --> Timezone`
* If needed, reconfigure your timezone for the system::

    dpkg-reconfigure tzdata


Codecs
======

.. note:: Configured by default if you checked the *Apply default onfiguration for France* at the wizard time
          (see :ref:`Wizard configuration step <wizard_configuration>`).

You should also select default codecs. It obviously depends on the telco links, the country, the phones, the usage, etc.
Here is a typical example for Europe (the main goal in this example is to select *only* G.711 A-Law instead of both G.711 A-Law and G.711 µ-Law by default):

* SIP : :menuselection:`Services --> IPBX --> General settings --> SIP Protocol --> Signaling`:

    * Customize codec : enabled
    * Codec list::

        G.711 A-Law
        G.722
        G.729A
        H.264

